/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */
/* Styles for agriturismoduetorri
 * Author: Gabriele Venturato
 */

html {
    color: #222;
    font-size: 1em;
    line-height: 1.4;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */

/* General */
h1 {
  font-family: 'Open Sans', sans-serif;
  font-size: 28px;
  font-weight: 600;
  border-bottom: 1px solid #d9d7d2;
  margin: 0 0 25px;
}

h2 {
  font-family: 'Open Sans', sans-serif;
  font-size: 18px;
  font-weight: bold;
}

h3 {
  font-family: 'Open Sans', sans-serif;
  font-size: 14px;
  font-weight: bold;
  text-transform: uppercase;
  margin: 0;
}

body,p {
  font-family: 'Open Sans', sans-serif;
  font-size: 14px;
}

.wrapper {
  width: 1024px;
  margin: 0 auto;
  display: block;
}

#page {
  overflow-x: hidden;
}
body.home #page {
  overflow-x: visible;
}

#content {
  padding: 40px 5%;
}

.col-2 {
  width: 48%;
  float: left;
  padding-right: 4%;
}

.col-2:nth-child(2n) {
  padding-right: 0;
}

.col-3 {
  width: 31.33333%;
  float: left;
  padding-right: 3%;
}

.col-3:nth-child(3n) {
  padding-right: 0;
}

.col-5 {
  width: 18.4%;
  float: left;
  padding-right: 2%;
}

.col-5:last-child {
  padding-right: 0;
}

/* Header */
#header-container {
  position: relative;
}

#header-container > img {
  width: 100%;
}

#header-content {
  background: rgba(255, 255, 255, 0.7);
  position: absolute;
  top: 0;
  width: 100%;
}

#logo {
  display: block;
  margin: 0 auto;
  padding: 20px 0;
  width: 350px;
}

#logo > img {
  width: 350px;
}

#social-links {
  position: absolute;
  top: 0;
  right: 5%;
}

#social-links .facebook {
	background: url('../img/facebook_grey.png') no-repeat center;
  background-size: cover;
  display: inline-block;
  text-indent: -9999px;
  width: 30px;
  height: 30px;
}
#social-links .facebook:before {
	content: url('../img/facebook.png');
	width: 0;
	height: 0;
	visibility: hidden;
}
#social-links .facebook:hover {
	background: url('../img/facebook.png') no-repeat center;
  background-size: cover;
}

#menu {
  border-top: 1px solid #bebebe;
  list-style: outside none none;
  margin: 0;
  padding: 0 5%;
  text-align: center;
}

#menu li {
  display: inline-block;
  margin-right: 20px;
}

#menu a {
  color: #801212;
  font-family: "Open Sans Condensed",sans-serif;
  font-size: 22px;
  line-height: 50px;
  text-decoration: none;
  text-transform: uppercase;
}

#menu li.active a,
#menu a:hover {
  color: #000;
}

#navigation-mobile {
  display: none;
}

/* .menu-icon start */
.menu-icon {
	width: 30px;
	height: 30px;
	position: relative;
	cursor: pointer;
}

.menu-icon span,
.menu-icon {
	transition: all 500ms ease;
}

.menu-icon span {
	background-color: #000;
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	border-radius: 5px;
}

.hamburger span {
	height: 4px;
	-webkit-transform:  translateY(13px);
	-moz-transform:     translateY(13px);
	-ms-transform:      translateY(13px);
	-o-transform:       translateY(13px);
	transform:          translateY(13px);
}
.hamburger .second {
	-webkit-transform:  translateY(3px);
	-moz-transform:     translateY(3px);
	-ms-transform:      translateY(3px);
	-o-transform:       translateY(3px);
	transform:          translateY(3px);
}
.hamburger .third{
	-webkit-transform:  translateY(23px);
	-moz-transform:     translateY(23px);
	-ms-transform:      translateY(23px);
	-o-transform:       translateY(23px);
	transform:          translateY(23px);
}
.hamburger span, .hamburger-arrow span {
	height: 4px;
	-webkit-transform:  translateY(13px);
	-moz-transform:     translateY(13px);
	-ms-transform:      translateY(13px);
	-o-transform:       translateY(13px);
	transform:          translateY(13px);
}
.hamburger-arrow .first {
  width: 27px;
}
.hamburger-arrow {
	-webkit-transform:  rotate(270deg) translateX(-1px);
	-moz-transform:     rotate(270deg) translateX(-1px);
	-ms-transform:      rotate(270deg) translateX(-1px);
	-o-transform:       rotate(270deg) translateX(-1px);
	transform:          rotate(270deg) translateX(-1px);
}
.hamburger-arrow .second {
	-webkit-transform:  rotate(45deg) translateY(-6.5px) translateX(19px);
	-moz-transform:     rotate(45deg) translateY(-6.5px) translateX(19px);
	-ms-transform:      rotate(45deg) translateY(-6.5px) translateX(19px);
	-o-transform:       rotate(45deg) translateY(-6.5px) translateX(19px);
	transform:          rotate(45deg) translateY(-6.5px) translateX(19px);
	width: 15px;
}
.hamburger-arrow .third {
	-webkit-transform:  rotate(-45deg) translateY(25px) translateX(1px);
	-moz-transform:     rotate(-45deg) translateY(25px) translateX(1px);
	-ms-transform:      rotate(-45deg) translateY(25px) translateX(1px);
	-o-transform:       rotate(-45deg) translateY(25px) translateX(1px);
	transform:          rotate(-45deg) translateY(25px) translateX(1px);
	width: 15px;
}
/* .menu-icon end */

/* Homepage */
#home_slider {
  position: fixed;
  top: -50%;
  left: -50%;
  width: 200%;
  height: 200%;
  z-index: -9999;
}

#home_slider img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  min-width: 50%;
  min-height: 50%;
}

.cycle-pager {
  bottom: 30px;
  display: block;
  left: 50%;
  margin-left: -150px;
  position: fixed;
  text-align: center;
  width: 300px;
  z-index: 999;
}

.cycle-pager span {
  background-color: rgba(255, 255, 255, 0.3);
  cursor: pointer;
  display: inline-block;
  height: 8px;
  width: 30px;
  text-indent: -99999px;
  margin-right: 10px;
}

.cycle-pager span.cycle-pager-active {
  background-color: #fff;
}

.cycle-pager > * {
  cursor: pointer;
}

/* Chi siamo */
.caratteristiche h1 {
  margin-top: 40px;
}

.caratteristiche .col-3 {
  padding-right: 8%;
  width: 28%;
}

.caratteristiche .col-3:last-child {
  padding-right: 0;
}

.caratteristiche .single img {
  width: 100%;
}

/* Dove siamo */
#map iframe {
  width: 100%;
  height: 350px;
}

.come-raggiungerci .col-right p {
  margin-top: 0;
  margin-bottom: 30px;
}

.come-raggiungerci .col-right span {
  position: relative;
  top: 20px;
}

.come-raggiungerci .col-right span a {
  color: #000;
}

.dintorni h1 {
  margin-top: 50px;
}

.dintorni-images {
  margin-top: 30px;
}

.dintorni-images img {
  width: 100%;
}

/* Galleria */
#galleria img {
  width: 100%;
  margin-bottom: 25px;
}

#page-navigation {
  text-align: center;
  margin-top: 20px;
}

#page-navigation span {
  display: inline-block;
  height: 40px;
  vertical-align: top;
  color: #000;
}

.prev-button,
.next-button,
.prev-button > a,
.next-button > a {
  display: inline-block;
  height: 40px;
  width: 30px;
}

.prev-button > a {
  background: url('../img/arrow-left.svg') no-repeat center center;
  background-size: contain;
  text-indent: -9999px;
}

.next-button > a {
  background: url('../img/arrow-right.svg') no-repeat center center;
  background-size: contain;
  text-indent: -9999px;
}

.current-page {
  font-size: 29px;
  line-height: 40px;
  margin: 0 10px;
}

/* Contatti */
#contatti .col-2 > p {
  margin-top: 0;
}

span.borgo-del-faggio {
  display: block;
  margin: 40px 0 10px;
}

#privacy-link {
  cursor: pointer;
  text-decoration: underline;
}

#privacy-container {
  display: none;
}

#contatti form {
  margin-top: 50px;
}

input[type="text"],
textarea {
  background-color: #efefef;
  border: 0 none;
  padding: 5px;
  width: 80%;
}

label {
  display: block;
}

.privacy-text {
  margin-left: 5px;
}

input[type="submit"] {
  background-color: #801212;
  border: 0 none;
  color: #fff;
  font-family: "Open Sans Condensed",sans-serif;
  font-size: 18px;
  padding: 0 15px;
  text-transform: uppercase;
}

.field-error {
  color: #c60000;
  display: block;
  font-size: 12px;
}

.email-alert {
  margin-top: 30px;
  padding: 10px 0;
  text-align: center;
  width: 80%;
}

.email-alert-success {
  background-color: #a8e0a8;
  color: #046903;
}

.email-alert-error {
  background-color: #ffa3a3;
  color: #760707;
}

/* Footer */
#footer {
  border-top: 1px solid #bebebe;
  font-family: "Open Sans Condensed",sans-serif;
  font-size: 12px;
  margin-top: 50px;
  padding: 20px 0;
}

#footer > span {
    display: block;
    padding: 0 5%;
}

/* 404 page */
body.custom_404 #header-content {
  position: relative;
}

body.custom_404 #content p {
  font-size: 28px;
  font-weight: bold;
  text-align: center;
}

/* ==========================================================================
   Media Queries
   ========================================================================== */

@media screen and (max-width: 1023px) {
  /* General */
  .wrapper {
    width: auto;
  }
}

@media screen and (max-width: 767px) {
  /* Header */
  #logo {
    width: 350px;
    padding: 20px 0;
  }

  #logo img {
    width: 100%;
  }

  #menu {
    display: none;
    padding: 15px 0;
  }

  #menu li {
    margin: 0;
    display: block;
    text-align: center;
  }

  #menu a {
    display: block;
  }

  #social-links {
    display: none;
  }

  #navigation-mobile {
    display: block;
    padding: 7px 5%;
    border-top: 1px solid #bebebe;
  }

  #menu-toggle {
    float: left;
  }

  #social-links-mobile {
    float: right;
  }

  #social-links-mobile .facebook {
    background: url('../img/facebook-mobile.svg') no-repeat center;
    background-size: cover;
    display: inline-block;
    text-indent: -9999px;
    width: 30px;
    height: 30px;
  }
}

@media screen and (max-width: 640px) {
  /* Home */
  #home_slider img {
    height: 50%;
  }
}

@media screen and (max-width: 639px) {
  /* General */
  .col-2 {
    margin-bottom: 40px;
    padding-right: 0;
    width: 100%;
  }

  .col-5 {
    margin-bottom: 10px;
    padding-right: 2%;
    width: 32%;
  }
  .col-5:nth-child(3n) {
    padding-right: 0;
  }

  /* Chi siamo */
  .caratteristiche .col-3 {
    margin-bottom: 30px;
    padding-right: 0;
    width: 100%;
  }

  /* Galleria */
  .galleria .col-3 {
    width: 48%;
    padding-right: 4%;
  }
  .galleria .col-3:nth-child(3n) {
    padding-right: 4%;
  }
  .galleria .col-3:nth-child(2n) {
    padding-right: 0;
  }

  /* Contatti */
  input[type="text"], textarea {
    width: 95%;
    padding: 2.5%;
  }

  .email-alert {
    width: 100%;
  }
}

@media screen and (max-width: 540px) {
  #header-container > img {
    min-width: 540px;
    position: relative;
  }
}

@media screen and (max-width: 479px) {
  /* General */
  h1 {
    font-size: 24px;
  }

  .col-5 {
    padding-right: 4%;
    width: 48%;
  }
  .col-5:nth-child(3n) {
    padding-right: 4%;
  }
  .col-5:nth-child(2n) {
    padding-right: 0;
  }

  /* Header */
  #header-container > img {
    min-width: 479px;
  }

  #logo {
    padding: 15px 0;
    width: 280px;
  }

  /* Galleria */
  #galleria img {
    margin-bottom: 15px;
  }
}

@media screen and (max-width: 359px) {
  /* General */
  .col-5 {
    padding-right: 0%;
    width: 100%;
  }
  .col-5:nth-child(3n) {
    padding-right: 0;
  }
  .col-5:nth-child(2n) {
    padding-right: 0;
  }

  /* Header */
  #header-container > img {
    min-width: 450px;
  }

  #logo {
    width: 240px;
  }
}

@media print,
       (-o-min-device-pixel-ratio: 5/4),
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 120dpi) {

}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        background: transparent !important;
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
